umbrello: ClassOptionsPage Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ClassOptionsPage Class Reference

A dialog page to display the class related options. More...

`#include <classoptionspage.h>`

Inheritance diagram for ClassOptionsPage:

## Public Member Functions
| ClassOptionsPage (QWidget *pParent, ClassifierWidget *pWidget)
| ClassOptionsPage (QWidget *pParent, UMLScene *scene)
| ClassOptionsPage (QWidget *pParent, Settings::OptionState *options, bool isDiagram=true)
| ClassOptionsPage (QWidget *pParent, EntityWidget *widget)
virtual | ~ClassOptionsPage ()
void | setDefaults ()
void | apply ()
void | setWidget (ClassifierWidget *pWidget)

## Protected Member Functions
void | init ()
void | setupPage ()
void | setupPageFromScene ()
void | setupClassPageOption ()
void | setupPageFromEntityWidget ()
void | applyWidget ()
void | applyOptionState ()
void | applyScene ()
void | applyEntityWidget ()
KComboBox * | createShowStereotypeCB (QGroupBox *grpBox)
void | insertAttribScope (const QString &type, int index=-1)
void | insertOperationScope (const QString &type, int index=-1)

## Protected Attributes
QGroupBox * | m_visibilityGB
QCheckBox * | m_showVisibilityCB
QCheckBox * | m_showAttSigCB
QCheckBox * | m_showOpSigCB
QCheckBox * | m_showAttsCB
QCheckBox * | m_showOpsCB
KComboBox * | m_showStereotypeCB
QCheckBox * | m_showPackageCB
QCheckBox * | m_showPublicOnlyCB
QCheckBox * | m_showAttribAssocsCB
QCheckBox * | m_showDocumentationCB
QCheckBox * | m_drawAsCircleCB
QGroupBox * | m_scopeGB
QLabel * | m_attributeLabel
QLabel * | m_operationLabel
KComboBox * | m_attribScopeCB
KComboBox * | m_operationScopeCB
ClassifierWidget * | m_pWidget
| The classifier widget to represent in the dialog page.
EntityWidget * | m_entityWidget
| The entity widget to represent in the dialog page.
UMLScene * | m_scene
| The scene to represent in the dialog page.
Settings::OptionState * | m_options
| The OptionState structure to represent in the dialog page.
bool | m_isDiagram
| Flag indicating that page is for diagram property dialog.

## Detailed Description

A dialog page to display the class related options.

A dialog page to display options for class related options. This dialog is either embedded into SettingsDialog, UMLViewDialog and ClassPropertiesDialog

Author
  Paul Hensgen phens.nosp@m.gen@.nosp@m.techi.nosp@m.e.co.nosp@m.m

See also
  ClassPropertiesDialog
  SettingsDialog
  UMLViewDialog Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ ClassOptionsPage() [1/4]

ClassOptionsPage::ClassOptionsPage | ( | QWidget * | pParent,
|  | ClassifierWidget * | pWidget
| ) |  |

Constructor - observe and modify a Widget

## ◆ ClassOptionsPage() [2/4]

ClassOptionsPage::ClassOptionsPage | ( | QWidget * | pParent,
|  | UMLScene * | scene
| ) |  |

## ◆ ClassOptionsPage() [3/4]

ClassOptionsPage::ClassOptionsPage | ( | QWidget * | pParent,
|  | Settings::OptionState * | options,
|  | bool | isDiagram = `true`
| ) |  |

Constructor - observe and modify an OptionState structure

Parameters

  pParent | Parent widget
  options | Settings to read from/save into
  isDiagram | Flag if object is for display diagram class options

## ◆ ClassOptionsPage() [4/4]

ClassOptionsPage::ClassOptionsPage | ( | QWidget * | pParent,
|  | EntityWidget * | widget
| ) |  |

## ◆ ~ClassOptionsPage()

ClassOptionsPage::~ClassOptionsPage | ( |  | ) |
| virtual

Destructor

## Member Function Documentation

## ◆ apply()

void ClassOptionsPage::apply | ( |  | ) |

apply changes

## ◆ applyEntityWidget()

void ClassOptionsPage::applyEntityWidget | ( |  | ) |
| protected

## ◆ applyOptionState()

void ClassOptionsPage::applyOptionState | ( |  | ) |
| protected

Sets the OptionState to the values selected in this dialog page.

## ◆ applyScene()

void ClassOptionsPage::applyScene | ( |  | ) |
| protected

Sets the UMLScene's properties to those selected in this dialog page.

## ◆ applyWidget()

void ClassOptionsPage::applyWidget | ( |  | ) |
| protected

Sets the ClassifierWidget's properties to those selected in this dialog page.

## ◆ createShowStereotypeCB()

KComboBox * ClassOptionsPage::createShowStereotypeCB | ( | QGroupBox * | grpBox | ) |
| protected

This need not be a member method, it can be made "static" or be moved to Dialog_Utils

## ◆ init()

void ClassOptionsPage::init | ( |  | ) |
| protected

Initialize optional items

## ◆ insertAttribScope()

void ClassOptionsPage::insertAttribScope | ( | const QString & | type,
|  | int | index = `-1`
| ) |  |
| protected

Inserts `type` into the type-combobox as well as its completion object.

## ◆ insertOperationScope()

void ClassOptionsPage::insertOperationScope | ( | const QString & | type,
|  | int | index = `-1`
| ) |  |
| protected

Inserts `type` into the type-combobox as well as its completion object.

## ◆ setDefaults()

void ClassOptionsPage::setDefaults | ( |  | ) |

## ◆ setupClassPageOption()

void ClassOptionsPage::setupClassPageOption | ( |  | ) |
| protected

Creates the page based on the OptionState

## ◆ setupPage()

void ClassOptionsPage::setupPage | ( |  | ) |
| protected

Creates the page with the correct options for the class/interface

## ◆ setupPageFromEntityWidget()

void ClassOptionsPage::setupPageFromEntityWidget | ( |  | ) |
| protected

## ◆ setupPageFromScene()

void ClassOptionsPage::setupPageFromScene | ( |  | ) |
| protected

## ◆ setWidget()

void ClassOptionsPage::setWidget | ( | ClassifierWidget * | pWidget | ) |

Set related uml widget

## Member Data Documentation

## ◆ m_attribScopeCB

KComboBox* ClassOptionsPage::m_attribScopeCB
| protected

## ◆ m_attributeLabel

QLabel* ClassOptionsPage::m_attributeLabel
| protected

## ◆ m_drawAsCircleCB

QCheckBox* ClassOptionsPage::m_drawAsCircleCB
| protected

## ◆ m_entityWidget

EntityWidget* ClassOptionsPage::m_entityWidget
| protected

The entity widget to represent in the dialog page.

## ◆ m_isDiagram

bool ClassOptionsPage::m_isDiagram
| protected

Flag indicating that page is for diagram property dialog.

## ◆ m_operationLabel

QLabel* ClassOptionsPage::m_operationLabel
| protected

## ◆ m_operationScopeCB

KComboBox* ClassOptionsPage::m_operationScopeCB
| protected

## ◆ m_options

Settings::OptionState* ClassOptionsPage::m_options
| protected

The OptionState structure to represent in the dialog page.

## ◆ m_pWidget

ClassifierWidget* ClassOptionsPage::m_pWidget
| protected

The classifier widget to represent in the dialog page.

## ◆ m_scene

UMLScene* ClassOptionsPage::m_scene
| protected

The scene to represent in the dialog page.

## ◆ m_scopeGB

QGroupBox* ClassOptionsPage::m_scopeGB
| protected

## ◆ m_showAttribAssocsCB

QCheckBox* ClassOptionsPage::m_showAttribAssocsCB
| protected

## ◆ m_showAttsCB

QCheckBox * ClassOptionsPage::m_showAttsCB
| protected

## ◆ m_showAttSigCB

QCheckBox * ClassOptionsPage::m_showAttSigCB
| protected

## ◆ m_showDocumentationCB

QCheckBox* ClassOptionsPage::m_showDocumentationCB
| protected

## ◆ m_showOpsCB

QCheckBox * ClassOptionsPage::m_showOpsCB
| protected

## ◆ m_showOpSigCB

QCheckBox* ClassOptionsPage::m_showOpSigCB
| protected

## ◆ m_showPackageCB

QCheckBox* ClassOptionsPage::m_showPackageCB
| protected

## ◆ m_showPublicOnlyCB

QCheckBox * ClassOptionsPage::m_showPublicOnlyCB
| protected

## ◆ m_showStereotypeCB

KComboBox* ClassOptionsPage::m_showStereotypeCB
| protected

## ◆ m_showVisibilityCB

QCheckBox* ClassOptionsPage::m_showVisibilityCB
| protected

## ◆ m_visibilityGB

QGroupBox* ClassOptionsPage::m_visibilityGB
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/classoptionspage.h
- umbrello/dialogs/pages/classoptionspage.cpp